Subject: (SC24.336) Proposed statement to JTC 1 about OMG

From: "Richard F. Puk" <[email-masked]>
Date: Thu, 28 Aug 1997 11:22:52 -0700

Steve --

From my perspective, it looks good the way it is except that it should
be passed through a spelling checker.

  -- Dick

Steve Carson wrote:
> 
> After consulting with several of our experts with an interest in Object
> technology, we have decided that SC 24 has an obligation to call the
> attention of all JTC 1 NBs to the uncooperative attitude that OMG has
> displayed in the past in its dealings with SC 24. Since the OMG has now
> applied to be a PAS submitter, and their policies and procedures have not
> changes so as to allow our experts individually or our SC as a whole to
        ^d
> participate in the work of OMG without all of us individually joining and
> paying exorbitant fees, we feel that we must speak out. The goal is not to
> block the OMG application, but rather to force them to change their way of
> working on those projects that might be submitted to ISO as PAS submissions.
> 
> I have based this proposed contribution on the US submission that was
> circulated on the reflector several weeks ago.
> 
> Lets have any necessary discussion on this on this reflector and -- if
> there are no unresolved objections -- we will forward this statement to JTC
> 1 on Friday 5 September.
> 
> - - -
> SC 24 N xxxx
> 
> Statement from SC 24 to JTC 1 on the Application of OMG for Recognition as
> a PAS Submitter
> 
> Introduction
> 
> The following comments are submitted by JTC 1/ SC 24 (Computer Graphics and
> Image Processing) in response to  ISO/IEC JTC 1 N 4801, the application
> from OMG for recognition as a submitter of publicly available
> specifications.  These comments are based on SC24’s unsuccessful experience
> in working with OMG as a Class C liaison.  We have attached as important
> background material the following documents:
> 
> 1) OMG document 94-10-37, Referencing of OMG specs in ISO/IEC CD 14 478-1,2
> 2) ISO/IEC JTC 1/SC 24 N 1284, Liaison Statement to the Object Management
> Group
> 3) ISO/IEC JTC 1/SC 24 N 1285 Difficulties of Category C Liaison with Some
> Consortia
> 
> These documents describe the difficulties encountered while working with
> the OMG, due to OMG's uncooperative attitude and to problems in OMG
> practices and procedures which made it impossible for ISO expects to
> participate in joint work with OMG unless the employers were OMG corporate
> members.
> 
> Value of the ISO Process
> 
> The following points summarize areas where we feel the ISO standards
> development process exceeds that of most consortia based processes and
> provides for the creation of viable, long lived standards which are
> developed in the best interest for both the implementers and users of the
> standards.
> 
> 1.      The ISO standardization process is an open consensus based process
> which provides for input by various types of experts (through JTC1 ballots
> and public reviews).  ISO subcommittees are required to coordinate
> standards development efforts with other subcommittees as well as outside
> technical experts and other standards developing organizations in order to
> ensure that the standards are of the highest quality and usability.
> 2.      The ISO process requires that a mature well founded body of work with
> market relevance and national body participation be established prior to
> originating a new ISO project.  However, when a new project is established,
> the initial level of maturity of the founding work may vary, due to the
> technical nature and complexity of the issues to be resolved by the
> standard.
> 3.      When an ISO JTC1 standard is published, the developing ISO JTC1
> subcommittee typically retains responsibility for maintaining, revising,
> and extending the standard as required utilizing the same open consensus
> based process.
> 4.      When work is submitted to ISO for publication, typically ISO retains
> the copyright to the material.
> 
> History of SC 24's Relationship with the OMG
> 
> In the 1991, 1992 time frame, a research effort was started by a few of the
> ISO/IEC JTC1 SC 24 participating national body members to ascertain the
> feasibility of developing an object oriented multimedia standard.  The need
> was recognized based on current standards which addressed presentation,
> interaction, and exchange of imaging and graphical data as well as the
> growing need to further refine and incorporate mechanisms which could
> address application requirements for enhanced interaction and presentation
> mediums in an object oriented paradigm.
> 
> Throughout this feasibility study, Sun, IBM, and HP, all of whom
> participated in or more national delegations to SC 24 at the time, led
> efforts to orient SC24 to the body of work under development within the
> OMG.  Sun, IBM, and HP were at the time and still are copyright holders of
> the material and believed that the material would provide an excellent
> architecture/methodology upon which to develop a multimedia object oriented
> standard.  Even though the body of work was still in the early phases of
> development, the key concepts and principles were fairly well established
> and provided a path forward towards further refinement through the OMG.
> OMG’s membership was increasing and the OMG was eagerly continuing to
> develop and mature the material.  The US National Body was eventually
> convinced and proposed the usage of the OMG material to SC24.  The US
> provided experts to present the OMG material to SC24 and eventually
> convinced SC24 to base the new PREMO standard upon the OMG specifications.
> 
> ISO/IEC JTC 1/SC 24 established a Class C Liaison with the OMG and
> continued development of the PREMO standard.  OMG participated to some
> extent in the initial object model for PREMO and the development of the
> PREMO foundation component.  At the time it was envisioned that the
> standard would be developed in OMG’s Interface Definition Language (IDL)
> and would be well suited to be implemented on top of OMG’s Common Object
> Request Broker Architecture (CORBA).  In order to meet the needs of the
> standard and with OMG’s knowledge, SC24 worked to develop modifications to
> IDL and submitted suggested revisions to the OMG.  It was determined that
> OMG was not very willing to alter the IDL specification and that SC24’s
> liaison status had little or no bearing in SC24’s ability to participate in
> the OMG process.  In fact, even though SC24 held a Class C Liaison with the
> OMG, SC24 did not receive OMG documents and was not invited to attend or
> participate in OMG meetings.  In addition, SC24 was requested to remove all
> OMG text from their standards, even though OMG did not hold the copyright
> to the material, only a limited license.   Due to these problems, SC24 was
> finally forced to drop the usage of IDL and the CORBA object paradigm from
> its work.  This decision did not affect the overall usability of the
> standard, rather it delayed the development effort and caused embarrassment
> to the US national body who strongly urged cooperation OMG with and
> utilization of their architecture.  It is important to note here that SC24
> has not had these types of problems with other Class C liaisons or
> organizations with which they hold cooperative agreements (e.g. the
> Interactive Multimedia Association, the VRML Consortium, the North Atlantic
> Treaty Organization, and the Imagery Standards Management Committee)
> 
> SC24 is also aware of the cooperation which has occurred between the OMG
> and SC21/WG7.  The primary reason for the success of this liaison is due to
> the fact that there is significant overlap between the two organizations
> with respect to the work which is being standardized and in individual
> members. Thus, the typical liaison relationship which requires negotiation
> and potential comprise by all parties involved is not truly a factor in
> this case.  SC24, on the other hand, was not trying to standardize a
> present body of OMG material, but was instead trying to utilize OMG’s
> material as a framework upon which to develop a new technology based
> standard.  This scenario did require two way communication and compromise
> in order to ideally benefit both parties.  Based on this fact, we believe
> that the scenario encountered by SC24 is more typical of what future
> coordinating standards development efforts will most likely encounter and
> what should be protected against by JTC1.
> 
> SC24 believes that a relationship with the OMG and standardization of its
> material may be beneficial to ISO.  However, based on the text of the
> current OMG submission, and our past experiences, it appears that what is
> requested is for ISO to grant publication of OMG material without having
> input to the development/finalization of the standard or in the resolution
> of defects and maintenance of the standard.  It is important for JTC1 to
> make sure that the OMG will accept input from its subcommittees in order to
> harmonize the transposed standards with the current JTC1 body of work (both
> established and developmental).  If this does not occur, certain conflicts
> will most likely arise which will be hard to resolve due to the drastically
> varying standards development approaches.  With the PREMO experience still
> fresh in our minds, SC24 cautions JTC1 to coordinate the interaction of the
> JTC1 SCs and their ability to participate in the transposition and
> maintenance of standards with the OMG and recommends that OMG not be
> granted PAS submitter status unless the following conditions are satisfied:
> 
> 1. The OMG process must be revised, with respect to PAS submissions, such
> that JTC1 organizations holding Category C Liaisons with the OMG can
> participate effectively in the OMG process.  At a minimum, representatives
> must be able to attend OMG meetings, be granted the right to speak at such
> meetings, and to submit items for inclusion on the agenda.  Also, the OMG
> must accept contributions from JTC1 organizations and treat them in a
> manner similar to contributions from OMG member companies.
> 
> 2. With regard to PAS submissions, OMG processes must be opened to allow
> participation by all interested parties.  In particular and at a minimum:
> 
> (a) any organization or individual must be able to submit technology to an
> OMG RTF;
> 
> (b) public comment must be solicited, accepted, seriously considered and
> properly resolved during all OMG development projects; and
> 
> (c) there must be provisions so that any organization or individual who can
> make a contribution to the work of the OMG and requests to participate can
> participate in its working groups without being required to join the OMG.
> This is due to the fact that as it stands today, contributing experts would
> be required to pay very high fees to gain the level of membership required
> within the OMG to participate in the adoption and maintenance of OMG PAS
> submissions.
> 
> ---------------------------------------------------------
> Steve Carson                 phone:   +1-505-521-7399
> GSC Associates Inc.          fax:     +1-505-521-9321
> 5272 Redman Road             e-mail:  [email-masked]
> Las Cruces, NM 88011 USA
> ---------------------------------------------------------

-- 
/----------------------------------------------------------------------\
|  Richard F. Puk                     Tel:     +1-760-753-9027         |
|  Intelligraphics Incorporated       Fax:     +1-760-753-9027         |
|  7644 Cortina Court                 E-Mail:  [email-masked]       |
|  Carlsbad, California  92009-8206                                    |
|  USA                                                                 |
\----------------------------------------------------------------------/